/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef GUI_WNDEXPORTTD_H_
#define GUI_WNDEXPORTTD_H_

#include "WndExport.h"
#include "../po/TemplateData.h"
class WndExportTD : public WndExport<TemplateData> {
public:
	WndExportTD();
	virtual ~WndExportTD();
	void fill (TemplateData* myPo, rhea::ListedMap<std::string, TemplateData*>* myMap ) override;
	void onExportClick() override;
	Gtk::Widget* getListing(int col,int row) override;
};

#endif /* GUI_WNDEXPORTTD_H_ */
