/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef GUI_WNDIMPORTTD_H_
#define GUI_WNDIMPORTTD_H_

#include "WndImport.h"
#include "../po/TemplateData.h"
#include "../po/Po.h"

class WndImportTD : public WndImport<TemplateData> {
public:
	WndImportTD();
	~WndImportTD();
	void fill(TemplateData* Mypo, rhea::ListedMap<std::string, TemplateData*>* myMap,FrameBase<TemplateData>* gui) override;
	std::string getListing(int col,int row) override;
	void onImportClick () override;
	void insertData (TemplateData* td);
};

#endif /* GUI_WNDIMPORTTD_H_ */
