/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef GUI_CBCOLUMNS_STRINGCOLUMNS_H_
#define GUI_CBCOLUMNS_STRINGCOLUMNS_H_

#include "gtkmm.h"

class StringColumns : public Gtk::TreeModel::ColumnRecord {
public:
    StringColumns() { add(col_id); add(col_name);add(col_extra);}
    Gtk::TreeModelColumn<long long> col_id;
    Gtk::TreeModelColumn<Glib::ustring> col_name;
    Gtk::TreeModelColumn<Glib::ustring> col_extra;
};



#endif /* GUI_CBCOLUMNS_STRINGCOLUMNS_H_ */
