/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef MAIN_UPDATEDB_H_
#define MAIN_UPDATEDB_H_

#include <string>
#include "rhea/SqlLite/DbConn.h"
//rabis za napolnit testne podatke v  bazi
#include "TestDB.h"

class UpdateDB {
private:
    std::string DB_VERSION = {"-1"};   //vedno -1
	std::string NEW_VERSION = {"2"};
	rhea::DbConn* dbConn = rhea::DbConn::getInstance();
public:
	UpdateDB();
	virtual ~UpdateDB();
	void makeUpdate();
    void upgrade_v1();
    void upgrade_v2();
};

#endif /* MAIN_UPDATEDB_H_ */
