/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#include "Template.h"

Template::Template() : Po() {
    setPojoName (getUUID());
    menuLabel = getPojoName();
}

void Template::clearObject() {

}

std::string Template::getJSON() {
    return std::string();
}

void Template::setJSON(std::string val) {

}
std::string Template::getName() {
	return name;
}

void Template::setName(std::string str) {
	name = str;
	menuLabel = str;
}

std::string Template::getLabel() {
	return menuLabel;
}

void Template::setLabel(std::string str) {
	menuLabel = str;
}

void Template::setMenuVisibility(bool val) {
	showInMenu = val;
}

bool Template::getMenuVisibility() {
	return showInMenu;
}
long long Template::getGoalCount(){
	return goalCount;
}

void Template::setGoalCount(long long val){
	goalCount = val;
}

std::string Template::getShortCut() {
	std::string tmp = std::to_string(keyMask) + " " + shortcut;
	return tmp;
}

void Template::getShortCut(int& mask,std::string& key) {
	mask = keyMask;
	key = shortcut;

}

void Template::setShortcut(int mask, std::string key) {
	keyMask = mask;
	shortcut = key;
}
Template::~Template() {

}
