/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef PO_TEMPLATEVALUES_H_
#define PO_TEMPLATEVALUES_H_

#include "Po.h"
#include <vector>

class TemplateValues : public Po {
private:
	long dataRowId  = 0;
	long columnRowId = 0;
	long columnId = 0;
	std::string value = {""};
public:
	std::vector<std::string> options = {};
	TemplateValues();
	virtual ~TemplateValues();
	void clearObject() override;
	long getDataRowId();
	void setDataRowId(long val);
	long getColumnRowId();
	void setColumnRowId(long val);
	long getColumnId();
	void setColumnId(long val);
	std::string getValue();
	void setValue(std::string val);

};

#endif /* PO_TEMPLATEVALUES_H_ */
