/* 
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 * 
 * SPDX-License-Identifier: EUPL-1.2
 */
 
#include "GridCell.h"

template<typename A, typename B>
void rhea::GridCell::connectOnClick(A funcPtr, B objPtr) {
    onClickCallback = (std::bind(funcPtr, objPtr, std::placeholders::_1 ));
};
