/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef RHEA_DBATRIBUTEMETADATA_H
#define RHEA_DBATRIBUTEMETADATA_H

#include "string"

namespace rhea {

class DbAtributeMetaData {
private:
    std::string name = {""};
    int myType = {' '}; // SQLITE_INTEGER 1; SQLITE_FLOAT 2; SQLITE_TEXT 3; SQLITE_BLOB 4; SQLITE_NULL 5

public:
    DbAtributeMetaData();
    ~DbAtributeMetaData();
    std::string getName();
    void setName(std::string val);
    int getType() const;
    void setType(int val);
};

}

#endif //RHEA_DBATRIBUTEMETADATA_H
