/* 
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 * 
 * SPDX-License-Identifier: EUPL-1.2
 */
 
#include "WndManager.h"

template<typename A, typename B>
void rhea::WndManager::setOnActivate(A funcPtr, B objPtr) {
    for(auto item : contains){
        if(item.second->frame == objPtr) {
            item.second->toActivate = (std::bind(funcPtr, objPtr));;
        }
    }
}
template<typename A, typename B>
void rhea::WndManager::setOnClose(A funcPtr, B objPtr) {
    for(auto item : contains){
        if(item.second->frame == objPtr) {
            item.second->toClose = (std::bind(funcPtr, objPtr));
        }
    }
}
