/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef GUI_DIALOGOPTIONSGRID_H_
#define GUI_DIALOGOPTIONSGRID_H_

#include "gtkmm.h"
#include "DialogOptions.h"
#include "cbColumns/StringColumns.h"
#include "../rhea/ComboBox/ComboBox.h"
#include "../main/Global.h"

class DialogOptionsGrid : public DialogOptions {
private:
	void btnRemoveColumnOnClick(Gtk::Button *btn, Gtk::TextView *tv);
	void btnAddColumnOnClick();
public:
	DialogOptionsGrid();
	virtual ~DialogOptionsGrid();
};

#endif /* GUI_DIALOGOPTIONSGRID_H_ */
