/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef MAIN_TESTDB_H
#define MAIN_TESTDB_H

#include "sqlite3.h"
#include "po/Template.h"
#include "po/TemplateData.h"

class TestDB {

private:
    void insertTemplate(Template* templ);
    void insertData (TemplateData* tval);

public:
    sqlite3 *db;
    explicit TestDB(sqlite3 *db);
    ~TestDB();
    void populateTemplates();

};


#endif //MAIN_TESTDB_H
