/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef PO_DATASECTION_H_
#define PO_DATASECTION_H_

#include "Po.h"
#include "Template.h"
#include "TemplateData.h"
#include "../rhea/ListedMap/ListedMap.h"
#include "Filter.h"

class ColumnW;
class Template;
class TemplateData;

class DataSection : public Po{
public:
	long long myTemplateRowId = {0};
	Template * usingTemplate = {nullptr};
	Filter* filter = new Filter();
	rhea::ListedMap<std::string, Po*> data = {};

	DataSection();
	virtual ~DataSection();
    void clearObject();
};

#endif /* PO_DATASECTION_H_ */
