/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef PO_DEFVALUES_H
#define PO_DEFVALUES_H

#include <string>
#include <ctime>

struct DefValues {
    static const int                defInt       = { 0};
    static const long long          initRowId    = {-1L};
    static const long long          initPoId     = {-1L};
    static const int                initVersion  = {0};
    static const int                startVersion = { 1};
    constexpr static const double   initPrice    = { 0.0};
    inline static const std::string initStr      = {""};
    inline static const std::string initCurency  = {"€"};
    static constexpr struct tm      initDateTime = {0};
};

#endif //PO_DEFVALUES_H
