/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef PO_TEMPLATEDATA_H
#define PO_TEMPLATEDATA_H

#include "vector"
#include "Po.h"
#include "Template.h"
#include "TemplateDataFile.h"
#include "TemplateValues.h"

class Template;

class TemplateData : public Po {

public:
	Template* myTemplate = {nullptr};
	std::vector<TemplateValues*> values= {};
	std::vector<TemplateDataFile*> files = {};
    TemplateData();
    ~TemplateData();
	void clearObject() override;
};


#endif //PO_TEMPLATEDATA_H
