/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef PO_TEMPLATEDATAFILE_H_
#define PO_TEMPLATEDATAFILE_H_

#include "../rhea/File/File.h"

class TemplateDataFile : public rhea::File {
private:
	long templRowId = {0};
	long templFileRowId = {0};
	long dataRowId = {0};
public:
	TemplateDataFile();
	~TemplateDataFile();
	long getTemplateRowId();
	void setTemplateRowId(long val);
	long getTemplateFileRowId();
	void setTemplateFileRowId(long val);
	long getDataRowId();
	void setDataRowId(long val);
 };

#endif /* PO_TEMPLATEDATAFILE_H_ */
