/* 
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 * 
 * SPDX-License-Identifier: EUPL-1.2
 */
 
#include "Grid.h"

template<typename A, typename B>
void rhea::Grid::connectOnClick (A funcPtr, B objPtr) {
    onClickCallback = std::bind(funcPtr, objPtr,std::placeholders::_1); 
};

template<typename A, typename B>
void rhea::Grid::connectString (A funcPtr, B objPtr) {
    stringCallback = std::bind(funcPtr, objPtr, std::placeholders::_1, std::placeholders::_2);
};

template<typename A, typename B>
void rhea::Grid::connectWidget(A funcPtr, B objPtr) {
    widgetCallback = (std::bind(funcPtr, objPtr, std::placeholders::_1, std::placeholders::_2));
};
