/*
 * SPDX-FileCopyrightText: 2022 Institute Rhea <eduard.filipas@rhea.si>
 *
 * SPDX-License-Identifier: EUPL-1.2
 */

#ifndef RHEA_DBPARAMETERS_H
#define RHEA_DBPARAMETERS_H

#include <vector>
#include "DbAtribute.h"

namespace rhea {

    class DbParameters {
    private:
        std::vector<rhea::DbAtribute> params = {};
    public:
        DbParameters();
        ~DbParameters();
        void add(std::string value);
        void add(int value);
        void add(long long value);
        void add(float value);
        void add(double value);
        std::vector<rhea::DbAtribute>* get();
    };

}
#endif //RHEA_DBPARAMETERS_H
